ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/group/trunk/OOPSE/configure
(Generate patch)

Comparing trunk/OOPSE/configure (file contents):
Revision 840 by gezelter, Wed Oct 29 14:29:12 2003 UTC vs.
Revision 1202 by gezelter, Thu May 27 16:20:36 2004 UTC

# Line 311 | Line 311 | ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKA
311   # include <unistd.h>
312   #endif"
313  
314 < ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX OOPSE_TEMPLATE_FLAGS EXTRA_CC_FLAG F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG F90LIBS F90_FUNC F90_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT AR mpi_dir MPI_LIBDIR MPI_INC MPI_LIB MPIF77 MPIF90 MPILIBS CPP EGREP SPRNG_LIBDIR SPRNG_LIB SPRNG_INC HAVE_SPRNG MKL_LIBDIR MKL_LIB MKL_INC HAVE_MKL MPI_F90_MODS MPIMODLIBNAME BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LIBOBJS LTLIBOBJS'
314 > ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX OOPSE_TEMPLATE_FLAGS EXTRA_CC_FLAG F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG F90LIBS F90_FUNC F90_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT AR mpi MPI_LIBDIR MPI_INC MPI_F90INC MPI_LIB MPI_F90LIB CPP EGREP SPRNG_LIBDIR SPRNG_LIB SPRNG_INC HAVE_SPRNG MKL_LIBDIR MKL_LIB MKL_INC HAVE_MKL BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LIBOBJS LTLIBOBJS'
315   ac_subst_files=''
316  
317   # Initialize some variables set by options.
# Line 784 | Line 784 | ac_env_MPIF77_set=${MPIF77+set}
784   ac_env_F90FLAGS_value=$F90FLAGS
785   ac_cv_env_F90FLAGS_set=${F90FLAGS+set}
786   ac_cv_env_F90FLAGS_value=$F90FLAGS
787 ac_env_MPIF77_set=${MPIF77+set}
788 ac_env_MPIF77_value=$MPIF77
789 ac_cv_env_MPIF77_set=${MPIF77+set}
790 ac_cv_env_MPIF77_value=$MPIF77
787   ac_env_CPP_set=${CPP+set}
788   ac_env_CPP_value=$CPP
789   ac_cv_env_CPP_set=${CPP+set}
# Line 874 | Line 870 | Optional Packages:
870   Optional Packages:
871    --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
872    --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
873 <  --with-mpi_dir=MPIDIR   give the path for MPI /usr/local
873 >  --with-mpi=MPIDIR   give the path for MPI /usr/local
874    --with-mpi-libdir=dir  give the path for MPI-libraries MPI_DIR/lib
875 <  --with-mpi_inc=dir  give the path for MPI-include-files MPI_DIR/include
875 >  --with-mpi-inc=dir  give the path for MPI-include-files MPI_DIR/include
876    --with-sprng_prefix=PREFIX
877                            Prefix where SPRNG is installed
878    --with-sprng-libdir=PREFIX  SPRNG library directory
879    --with-sprng-include=PREFIX
880                            SPRNG include directory
881 <  --with-mkl              Do we want MKL will check /usr/local/intel/mkl60 /opt/intel/mkl60
886 <  --with-mpi_f90_mods=<dir>
887 <                          Location where MPI f90 modules are installed
881 >  --with-mkl              Do we want MKL will check /usr/local/intel/mkl61 /opt/intel/mkl61
882  
883   Some influential environment variables:
884    CC          C compiler command
# Line 897 | Line 891 | Some influential environment variables:
891    CXXFLAGS    C++ compiler flags
892    F90         Fortran 90 compiler command
893    F90FLAGS    Fortran 90 compiler flags
900  MPIF77      MPI Fortran compiler command
894    CPP         C preprocessor
895  
896   Use these variables to override the choices made by `configure' or to help
# Line 1836 | Line 1829 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1829  
1830  
1831  
1832 +
1833 +
1834 +
1835 +
1836 +
1837 +
1838 +
1839 +
1840   # set program name
1841   PROGNAME="oopse"
1842  
# Line 2573 | Line 2574 | if test -n "$ac_tool_prefix"; then
2574   ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
2575   ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
2576   if test -n "$ac_tool_prefix"; then
2577 <  for ac_prog in $CCC icpc icc xlC CC g++ c++
2577 >  for ac_prog in $CCC icpc icc xlc++ xlC CC g++ c++
2578    do
2579      # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
2580   set dummy $ac_tool_prefix$ac_prog; ac_word=$2
# Line 2615 | Line 2616 | if test -z "$CXX"; then
2616   fi
2617   if test -z "$CXX"; then
2618    ac_ct_CXX=$CXX
2619 <  for ac_prog in $CCC icpc icc xlC CC g++ c++
2619 >  for ac_prog in $CCC icpc icc xlc++ xlC CC g++ c++
2620   do
2621    # Extract the first word of "$ac_prog", so it can be a program name with args.
2622   set dummy $ac_prog; ac_word=$2
# Line 2887 | Line 2888 | OOPSE_TEMPLATE_FLAGS=""
2888   ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
2889   ac_compiler_gnu=$ac_cv_c_compiler_gnu
2890  
2891 +
2892   OOPSE_TEMPLATE_FLAGS=""
2893   if test $ac_cv_cxx_compiler_gnu = no; then
2894    echo "$as_me:$LINENO: checking checking whether ${CXX} accepts -ptused -no_prelink" >&5
# Line 2931 | Line 2933 | echo "${ECHO_T}yes" >&6
2933    if test -z "`${CXX} -LANG:std -c conftest.cc 2>&1`"; then
2934      echo "$as_me:$LINENO: result: yes" >&5
2935   echo "${ECHO_T}yes" >&6
2936 +
2937 +
2938      EXTRA_CC_FLAG=${EXTRA_CC_FLAG}" -LANG:std"
2939    else
2940      echo "$as_me:$LINENO: result: no" >&5
# Line 2946 | Line 2950 | if test -n "$ac_tool_prefix"; then
2950   ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
2951   ac_compiler_gnu=$ac_cv_f90_compiler_gnu
2952   if test -n "$ac_tool_prefix"; then
2953 <  for ac_prog in ifc f90 xlf90 pgf90 epcf90 f95 xlf95 lf95 fort g95
2953 >  for ac_prog in ifort ifc f90 xlf90 pgf90 epcf90 f95 xlf95 lf95 fort g95
2954    do
2955      # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
2956   set dummy $ac_tool_prefix$ac_prog; ac_word=$2
# Line 2988 | Line 2992 | if test -z "$F90"; then
2992   fi
2993   if test -z "$F90"; then
2994    ac_ct_F90=$F90
2995 <  for ac_prog in ifc f90 xlf90 pgf90 epcf90 f95 xlf95 lf95 fort g95
2995 >  for ac_prog in ifort ifc f90 xlf90 pgf90 epcf90 f95 xlf95 lf95 fort g95
2996   do
2997    # Extract the first word of "$ac_prog", so it can be a program name with args.
2998   set dummy $ac_prog; ac_word=$2
# Line 3096 | Line 3100 | if test "$ac_test_PREPFLAG" != "set"; then
3100    PREPFLAG=""
3101    case "${host_cpu}-${host_os}" in
3102  
3103 <  *linux*) if test "$F90" = ifc; then
3103 >  *linux*) if test "$F90" = ifc -o "$F90" = ifort; then
3104                      PREPFLAG="-fpp1 "
3105                  fi;;
3106    *aix*)  if test "$F90" = xlf90 -o "$F90" = f90; then
# Line 3109 | Line 3113 | if test "$ac_test_PREPFLAG" != "set"; then
3113    esac
3114  
3115    if test -z "$PREPFLAG"; then
3116 <        echo ""
3117 <        echo "**********************************************************"
3114 <        echo "* WARNING: Don't know the best PREPFLAG for this system  *"
3115 <        echo "* Use  make PREPFLAG=..., or edit the top level Makefile *"
3116 <        echo "* (otherwise, an empty PREPFLAG will be used)            *"
3117 <        echo "**********************************************************"
3118 <        echo ""
3116 >        { echo "$as_me:$LINENO: WARNING: \"Using empty PREPFLAG\"" >&5
3117 > echo "$as_me: WARNING: \"Using empty PREPFLAG\"" >&2;}
3118          PREPFLAG=""
3119    fi
3120  
# Line 3178 | Line 3177 | ac_compiler_gnu=$ac_cv_c_compiler_gnu
3177   ac_compiler_gnu=$ac_cv_c_compiler_gnu
3178  
3179  
3181
3180    if test "$prepflagworks" = 1; then
3181      echo "$as_me:$LINENO: result: yes" >&5
3182   echo "${ECHO_T}yes" >&6
# Line 3203 | Line 3201 | if test "$ac_test_PREPDEFFLAG" != "set"; then
3201    PREPDEFFLAG=""
3202    case "${host_cpu}-${host_os}" in
3203  
3204 <  *linux*) if test "$F90" = ifc; then
3204 >  *linux*) if test "$F90" = ifc -o "$F90" = ifort; then
3205                      PREPDEFFLAG=" "
3206                  fi;;
3207    *aix*)  if test "$F90" = xlf90 -o "$F90" = f90; then
# Line 3216 | Line 3214 | if test "$ac_test_PREPDEFFLAG" != "set"; then
3214    esac
3215  
3216    if test -z "$PREPDEFFLAG"; then
3217 <        echo ""
3218 <        echo "*************************************************************"
3221 <        echo "* WARNING: Don't know the best PREPDEFFLAG for this system  *"
3222 <        echo "* Use  make PREPDEFFLAG=..., or edit the top level Makefile *"
3223 <        echo "* (otherwise, an empty PREPDEFFLAG will be used)            *"
3224 <        echo "*************************************************************"
3225 <        echo ""
3217 >        { echo "$as_me:$LINENO: WARNING: \"Using empty PREPDEFFLAG\"" >&5
3218 > echo "$as_me: WARNING: \"Using empty PREPDEFFLAG\"" >&2;}
3219          PREPDEFFLAG=" "
3220    fi
3221  
# Line 3364 | Line 3357 | F90FLAGS="$F90FLAGS $ac_verb"
3357   ac_save_F90FLAGS=$F90FLAGS
3358   F90FLAGS="$F90FLAGS $ac_verb"
3359  
3360 < (eval echo $as_me:3367: \"$ac_link\") >&5
3360 > (eval echo $as_me:3360: \"$ac_link\") >&5
3361   ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
3362   echo "$ac_f90_v_output" >&5
3363   F90FLAGS=$ac_save_F90FLAGS
# Line 3441 | Line 3434 | F90FLAGS="$F90FLAGS $ac_cv_prog_f90_v"
3434   ac_save_F90FLAGS=$F90FLAGS
3435   F90FLAGS="$F90FLAGS $ac_cv_prog_f90_v"
3436  
3437 < (eval echo $as_me:3444: \"$ac_link\") >&5
3437 > (eval echo $as_me:3437: \"$ac_link\") >&5
3438   ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
3439   echo "$ac_f90_v_output" >&5
3440   F90FLAGS=$ac_save_F90FLAGS
# Line 4015 | Line 4008 | case $debug in
4008    1)
4009       ;;
4010    *)
4011 +
4012 +
4013 +
4014 +
4015 +
4016 +
4017 + echo "$as_me:$LINENO: checking whether we are *really* using GNU cc" >&5
4018 + echo $ECHO_N "checking whether we are *really* using GNU cc... $ECHO_C" >&6
4019 + if test "${ac_cv_prog_really_gcc+set}" = set; then
4020 +  echo $ECHO_N "(cached) $ECHO_C" >&6
4021 + else
4022 +
4023 + cat > conftest.c <<EOF
4024 + #ifdef __GNUC__
4025 +  #ifndef __INTEL_COMPILER
4026 +     yes;
4027 +  #endif
4028 + #endif
4029 + EOF
4030 + if { ac_try='${CC-cc} -E conftest.c'
4031 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4032 +  (eval $ac_try) 2>&5
4033 +  ac_status=$?
4034 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4035 +  (exit $ac_status); }; } | egrep yes >/dev/null 2>&1; then
4036 +  ac_cv_prog_really_gcc=yes
4037 + else
4038 +  ac_cv_prog_really_gcc=no
4039 + fi
4040 +
4041 + fi
4042 + echo "$as_me:$LINENO: result: $ac_cv_prog_really_gcc" >&5
4043 + echo "${ECHO_T}$ac_cv_prog_really_gcc" >&6
4044 + if test "$ac_cv_prog_really_gcc" = yes; then
4045 +        :
4046  
4047 + else
4048 +        :
4049  
4050 + fi
4051  
4052  
4053   # Try to determine "good" native compiler flags if none specified on command
# Line 4058 | Line 4089 | if test "$ac_test_CFLAGS" != "set"; then
4089          fi;;
4090     *darwin*)
4091          if test "$CC" = xlc -o "$CC" = cc; then
4092 <                CFLAGS="-O3 -qtune=auto -w"
4062 <                echo "*******************************************************"
4063 <                echo "*  You have Darwin on an unknown powerpc system.      *"
4064 <                echo "*  It is recommended that you use                     *"
4065 <                echo "*                                                     *"
4066 <                echo "*  CFLAGS=-O3 -qarch=ppc -qtune=xxx -qansialias -w    *"
4067 <                echo "*                               ^^^                   *"
4068 <                echo "*  where xxx is 601, 603, 604, or whatever kind of    *"
4069 <                echo "*  PowerPC CPU you have.   For more info, man cc.     *"
4070 <                echo "*******************************************************"
4092 >                CFLAGS="-qthreaded -O5 -qtune=auto -qarch=auto -qunroll=auto -qaltivec"
4093          fi;;
4094    esac
4095  
4096    # use default flags for gcc on all systems
4097 <  if test $ac_cv_c_compiler_gnu = yes; then
4097 >  if test $ac_cv_prog_really_gcc = yes; then
4098       CFLAGS="-O6 -fomit-frame-pointer -Wall -W -Wcast-qual -Wpointer-arith -Wcast-align -pedantic"
4099    fi
4100  
4101    # test for gcc-specific flags:
4102 <  if test $ac_cv_c_compiler_gnu = yes; then
4102 >  if test $ac_cv_prog_really_gcc = yes; then
4103      # -malign-double for x86 systems
4104  
4105  
# Line 4135 | Line 4157 | fi
4157    fi
4158  
4159    CPU_FLAGS=""
4160 <  if test "$GCC" = "yes"; then
4160 >  if test $ac_cv_prog_really_gcc = yes; then
4161                    case "${host_cpu}" in
4162            i586*)
4163  
# Line 4281 | Line 4303 | cat > conftest.c <<EOF
4303   else
4304  
4305   cat > conftest.c <<EOF
4306 < #ifdef __GNUC__
4306 > #ifdef __GNUC__ && !defined (__INTEL_COMPILER)
4307   #  if (__GNUC__ > 2) || (__GNUC__ == 2 && __GNUC_MINOR__ >= 95)
4308       yes;
4309   #  endif
# Line 4446 | Line 4468 | fi
4468  
4469  
4470   fi
4471 +
4472 +
4473  
4474  
4475  
4476  
4477  
4478 + echo "$as_me:$LINENO: checking whether we are *really* using GNU c++" >&5
4479 + echo $ECHO_N "checking whether we are *really* using GNU c++... $ECHO_C" >&6
4480 + if test "${ac_cv_prog_really_gxx+set}" = set; then
4481 +  echo $ECHO_N "(cached) $ECHO_C" >&6
4482 + else
4483 +
4484 + cat > conftest.cpp <<EOF
4485 + #ifdef __GNUC__
4486 +  #ifndef __INTEL_COMPILER
4487 +     yes;
4488 +  #endif
4489 + #endif
4490 + EOF
4491 + if { ac_try='${CXX-c++} -E conftest.cpp'
4492 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4493 +  (eval $ac_try) 2>&5
4494 +  ac_status=$?
4495 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4496 +  (exit $ac_status); }; } | egrep yes >/dev/null 2>&1; then
4497 +  ac_cv_prog_really_gxx=yes
4498 + else
4499 +  ac_cv_prog_really_gxx=no
4500 + fi
4501 +
4502 + fi
4503 + echo "$as_me:$LINENO: result: $ac_cv_prog_really_gxx" >&5
4504 + echo "${ECHO_T}$ac_cv_prog_really_gxx" >&6
4505 + if test "$ac_cv_prog_really_gxx" = yes; then
4506 +        :
4507 +
4508 + else
4509 +        :
4510 +
4511 + fi
4512 +
4513 +
4514   # Try to determine "good" native compiler flags if none specified on command
4515   # line
4516   if test "$ac_test_CXXFLAGS" != "set"; then
# Line 4480 | Line 4540 | if test "$ac_test_CXXFLAGS" != "set"; then
4540                  echo "*******************************************************"
4541          fi;;
4542     *darwin*)
4543 <        if test "$CXX" = xlC; then
4544 <                CXXFLAGS="-O3 -qtune=auto -qansialias -w"
4485 <                echo "*******************************************************"
4486 <                echo "*  You have AIX on an unknown powerpc system.  It is  *"
4487 <                echo "*  recommended that you use                           *"
4488 <                echo "*                                                     *"
4489 <                echo "*  CXXFLAGS=-O3 -qarch=ppc -qtune=xxx -qansialias -w  *"
4490 <                echo "*                                 ^^^                 *"
4491 <                echo "*  where xxx is 601, 603, 604, or whatever kind of    *"
4492 <                echo "*  PowerPC CPU you have.   For more info, man cc.     *"
4493 <                echo "*******************************************************"
4543 >        if test "$CXX" = xlc++; then
4544 >                CXXFLAGS="-qthreaded -O5 -qtune=auto -qarch=auto -qunroll=auto -qaltivec"
4545          fi;;
4546    esac
4547  
4548    # use default flags for gcc on all systems
4549 <  if test $ac_cv_c_compiler_gnu = yes; then
4549 >  if test $ac_cv_prog_really_gxx = yes; then
4550       CXXFLAGS="-O6 -fomit-frame-pointer -Wall -W -Wcast-qual -Wpointer-arith -Wcast-align -pedantic"
4551    fi
4552  
4553    # test for gcc-specific flags:
4554 <  if test $ac_cv_c_compiler_gnu = yes; then
4554 >  if test $ac_cv_prog_really_gxx = yes; then
4555      # -malign-double for x86 systems
4556  
4557  
# Line 4558 | Line 4609 | fi
4609    fi
4610  
4611    CPU_FLAGS=""
4612 <  if test "$GCC" = "yes"; then
4612 >  if test $ac_cv_prog_really_gxx = yes; then
4613                    case "${host_cpu}" in
4614            i586*)
4615  
4616 < echo "$as_me:$LINENO: checking whether ${CC-cc} accepts -mcpu=pentium" >&5
4617 < echo $ECHO_N "checking whether ${CC-cc} accepts -mcpu=pentium... $ECHO_C" >&6
4616 > echo "$as_me:$LINENO: checking whether ${CXX-c++} accepts -mcpu=pentium" >&5
4617 > echo $ECHO_N "checking whether ${CXX-c++} accepts -mcpu=pentium... $ECHO_C" >&6
4618   if test "${ac_cpu_pentium+set}" = set; then
4619    echo $ECHO_N "(cached) $ECHO_C" >&6
4620   else
4621 <  echo 'void f(){}' > conftest.c
4622 < if test -z "`${CC-cc} -mcpu=pentium -c conftest.c 2>&1`"; then
4621 >  echo 'void f(){}' > conftest.cpp
4622 > if test -z "`${CXX-c++} -mcpu=pentium -c conftest.cpp 2>&1`"; then
4623          ac_cpu_pentium=yes
4624   else
4625          ac_cpu_pentium=no
# Line 4697 | Line 4748 | echo "$as_me:$LINENO: checking whether we are using gc
4748                  elif test "$cputype" = 750; then
4749  
4750  
4751 < echo "$as_me:$LINENO: checking whether we are using gcc 2.95 or later" >&5
4752 < echo $ECHO_N "checking whether we are using gcc 2.95 or later... $ECHO_C" >&6
4753 < if test "${ac_cv_prog_gcc_2_95+set}" = set; then
4751 > echo "$as_me:$LINENO: checking whether we are using g++ 2.95 or later" >&5
4752 > echo $ECHO_N "checking whether we are using g++ 2.95 or later... $ECHO_C" >&6
4753 > if test "${ac_cv_prog_gxx_2_95+set}" = set; then
4754    echo $ECHO_N "(cached) $ECHO_C" >&6
4755   else
4756  
4757 < cat > conftest.c <<EOF
4758 < #ifdef __GNUC__
4757 > cat > conftest.cpp <<EOF
4758 > #ifdef __GNUC__ && !defined (__INTEL_COMPILER)
4759   #  if (__GNUC__ > 2) || (__GNUC__ == 2 && __GNUC_MINOR__ >= 95)
4760       yes;
4761   #  endif
4762   #endif
4763   EOF
4764 < if { ac_try='${CC-cc} -E conftest.c'
4764 > if { ac_try='${CXX-c++} -E conftest.cpp'
4765    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4766    (eval $ac_try) 2>&5
4767    ac_status=$?
4768    echo "$as_me:$LINENO: \$? = $ac_status" >&5
4769    (exit $ac_status); }; } | egrep yes >/dev/null 2>&1; then
4770 <  ac_cv_prog_gcc_2_95=yes
4770 >  ac_cv_prog_gxx_2_95=yes
4771   else
4772 <  ac_cv_prog_gcc_2_95=no
4772 >  ac_cv_prog_gxx_2_95=no
4773   fi
4774  
4775   fi
4776 < echo "$as_me:$LINENO: result: $ac_cv_prog_gcc_2_95" >&5
4777 < echo "${ECHO_T}$ac_cv_prog_gcc_2_95" >&6
4778 < if test "$ac_cv_prog_gcc_2_95" = yes; then
4776 > echo "$as_me:$LINENO: result: $ac_cv_prog_gxx_2_95" >&5
4777 > echo "${ECHO_T}$ac_cv_prog_gxx_2_95" >&6
4778 > if test "$ac_cv_prog_gxx_2_95" = yes; then
4779          :
4780  
4781  
# Line 4881 | Line 4932 | if test x"$F90FLAGS" = x ; then
4932    F90FLAGS=""
4933    case "${host_cpu}-${host_os}" in
4934  
4935 <  *linux*) if test "$F90" = ifc; then
4935 >  *linux*) if test "$F90" = ifc -o "$F90" = ifort; then
4936                      F90FLAGS="-O"
4937                  fi;;
4938     rs6000*-aix*)  if test "$F90" = xlf90 -o "$F90" = f90; then
# Line 4901 | Line 4952 | if test x"$F90FLAGS" = x ; then
4952                  echo "*******************************************************"
4953          fi;;
4954     *darwin*)
4955 <        if test "$F90" = f90 -o "$F90" = xlf90; then
4956 <                F90FLAGS="-O3 -qtune=auto -w"
4906 <                echo "*********************************************************"
4907 <                echo "*  You have Darwin on an unknown powerpc system.  It is *"
4908 <                echo "*  recommended that you use                             *"
4909 <                echo "*                                                       *"
4910 <                echo "*  CXXFLAGS=-O3 -qarch=ppc -qtune=xxx -qansialias -w    *"
4911 <                echo "*                                 ^^^                   *"
4912 <                echo "*  where xxx is 601, 603, 604, or whatever kind of      *"
4913 <                echo "*  PowerPC CPU you have.   For more info, man xlf.      *"
4914 <                echo "*********************************************************"
4955 >        if test "$F90" = f90 -o "$F90" = xlf90 -o "$F90" = xlf95; then
4956 >                F90FLAGS="-qthreaded -O5 -qtune=auto -qarch=auto -qunroll=auto"
4957          fi;;
4958    esac
4959  
# Line 5540 | Line 5582 | echo $ECHO_N "checking for mpi-directory... $ECHO_C" >
5582   echo "$as_me:$LINENO: checking for mpi-directory" >&5
5583   echo $ECHO_N "checking for mpi-directory... $ECHO_C" >&6
5584  
5585 < # Check whether --with-mpi_dir or --without-mpi_dir was given.
5586 < if test "${with_mpi_dir+set}" = set; then
5587 <  withval="$with_mpi_dir"
5585 > # Check whether --with-mpi or --without-mpi was given.
5586 > if test "${with_mpi+set}" = set; then
5587 >  withval="$with_mpi"
5588    MPI_DIR="$withval"
5589   else
5590    MPI_DIR="/usr/local"
# Line 5568 | Line 5610 | echo $ECHO_N "checking for mpi-inc-directory... $ECHO_
5610   echo "$as_me:$LINENO: checking for mpi-inc-directory" >&5
5611   echo $ECHO_N "checking for mpi-inc-directory... $ECHO_C" >&6
5612  
5613 < # Check whether --with-mpi_inc or --without-mpi_inc was given.
5613 > # Check whether --with-mpi-inc or --without-mpi-inc was given.
5614   if test "${with_mpi_inc+set}" = set; then
5615    withval="$with_mpi_inc"
5616    MPI_INC="$withval"
# Line 5577 | Line 5619 | echo "${ECHO_T}$MPI_INC" >&6
5619   fi;
5620   echo "$as_me:$LINENO: result: $MPI_INC" >&5
5621   echo "${ECHO_T}$MPI_INC" >&6
5580
5581
5582
5583 echo "$as_me:$LINENO: checking for MPI library" >&5
5584 echo $ECHO_N "checking for MPI library... $ECHO_C" >&6
5585 MPI_LIB=""
5586 case "$host" in
5587  *-ibm-aix*)
5588    echo "$as_me:$LINENO: checking whether to use signal-based MPI library" >&5
5589 echo $ECHO_N "checking whether to use signal-based MPI library... $ECHO_C" >&6
5590    echo "$as_me:$LINENO: result: $PACX_SIGNAL" >&5
5591 echo "${ECHO_T}$PACX_SIGNAL" >&6
5592    if test "x$PACX_SIGNAL" = "xyes" ; then
5593      if test -f "$MPI_LIBDIR/libmpi.a" ; then
5594        MPI_LIB="-lmpi"
5595      elif test -f "$MPI_LIBDIR/libmpi.so" ; then
5596        MPI_LIB="-lmpi"
5597      elif test -f "$MPI_LIBDIR/libmpich.a" ; then
5598        MPI_LIB="-lmpich"
5599      else
5600        { { echo "$as_me:$LINENO: error: neither libmpi nor libmpich found; check path for MPI package first..." >&5
5601 echo "$as_me: error: neither libmpi nor libmpich found; check path for MPI package first..." >&2;}
5602   { (exit 1); exit 1; }; }
5603      fi
5604    else
5605      if test -f "$MPI_LIBDIR/libmpi_r.a" ; then
5606         MPI_LIB="-lmpi_r"
5607      else
5608         { { echo "$as_me:$LINENO: error: libmpi_r not found; check path for MPI package..." >&5
5609 echo "$as_me: error: libmpi_r not found; check path for MPI package..." >&2;}
5610   { (exit 1); exit 1; }; }
5611      fi
5612    fi
5613    echo "$as_me:$LINENO: result: found $MPI_LIB" >&5
5614 echo "${ECHO_T}found $MPI_LIB" >&6
5615  ;;
5616  *)                             if test -f "$MPI_LIBDIR/libmpi.a" ; then
5617      MPI_LIB="-lmpi"
5618    elif test -f "$MPI_LIBDIR/libmpi.so" ; then
5619      MPI_LIB="-lmpi"
5620    elif test -f "$MPI_LIBDIR/libmpich.a" ; then
5621      MPI_LIB="-lmpich"
5622    else
5623      { { echo "$as_me:$LINENO: error: neither libmpi nor libmpich found; check path for MPI package first..." >&5
5624 echo "$as_me: error: neither libmpi nor libmpich found; check path for MPI package first..." >&2;}
5625   { (exit 1); exit 1; }; }
5626    fi
5627    echo "$as_me:$LINENO: result: found $MPI_LIB" >&5
5628 echo "${ECHO_T}found $MPI_LIB" >&6
5629  ;;
5630 esac
5622  
5623  
5624 + echo "$as_me:$LINENO: checking for mpi.h" >&5
5625 + echo $ECHO_N "checking for mpi.h... $ECHO_C" >&6
5626 + HAVE_MPIDOTH_C="no"
5627 + echo '#include <mpi.h>' > conftest.cc
5628 + if test -z "`${CXX} -I${MPI_INC} -c conftest.cc 2>&1`"; then
5629 +  echo "$as_me:$LINENO: result: yes" >&5
5630 + echo "${ECHO_T}yes" >&6
5631 +  HAVE_MPIDOTH_C="yes"
5632 + else
5633 +  echo "$as_me:$LINENO: result: no! Check MPI include paths" >&5
5634 + echo "${ECHO_T}no! Check MPI include paths" >&6
5635 + fi
5636 + rm -f conftest*
5637  
5638 + echo "$as_me:$LINENO: checking whether mpif.h is usable" >&5
5639 + echo $ECHO_N "checking whether mpif.h is usable... $ECHO_C" >&6
5640 + HAVE_MPIFDOTH_F90="no"
5641 + rm -f conftest*
5642 + cat >conftest.f90 <<EOF
5643 + program main
5644 +  include 'mpif.h'
5645 + end
5646 + EOF
5647 + if $F90 -I$MPI_INC -c conftest.f90 > conftest.out 2>&1 ; then
5648 +   echo "$as_me:$LINENO: result: yes" >&5
5649 + echo "${ECHO_T}yes" >&6
5650 +   MPI_F90INC="$MPI_INC"
5651 +   HAVE_MPIFDOTH_F90="yes"
5652 + else
5653 +   if test -s conftest.out ; then cat conftest.out >> config.log ; fi
5654 +   echo "$as_me:$LINENO: result: no! Check MPI include paths" >&5
5655 + echo "${ECHO_T}no! Check MPI include paths" >&6
5656 + fi
5657 + rm -f conftest*
5658  
5659  
5660 + ac_ext=c
5661 + ac_cpp='$CPP $CPPFLAGS'
5662 + ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
5663 + ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
5664 + ac_compiler_gnu=$ac_cv_c_compiler_gnu
5665  
5666 + ac_save_LDFLAGS=$LDFLAGS
5667 + LDFLAGS="${LDFLAGS} -L${MPI_LIBDIR} "
5668  
5669 <        for ac_prog in mpif90 hf90 mpxlf90 mpf90 mpxlf95 mpxlf_r
5670 < do
5671 <  # Extract the first word of "$ac_prog", so it can be a program name with args.
5672 < set dummy $ac_prog; ac_word=$2
5642 < echo "$as_me:$LINENO: checking for $ac_word" >&5
5643 < echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
5644 < if test "${ac_cv_prog_MPIF90+set}" = set; then
5669 > if test x = x"$MPI_LIB"; then
5670 >   echo "$as_me:$LINENO: checking for MPI_Init in -lmpi" >&5
5671 > echo $ECHO_N "checking for MPI_Init in -lmpi... $ECHO_C" >&6
5672 > if test "${ac_cv_lib_mpi_MPI_Init+set}" = set; then
5673    echo $ECHO_N "(cached) $ECHO_C" >&6
5674   else
5675 <  if test -n "$MPIF90"; then
5676 <  ac_cv_prog_MPIF90="$MPIF90" # Let the user override the test.
5677 < else
5678 < as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
5679 < for as_dir in $PATH
5680 < do
5681 <  IFS=$as_save_IFS
5682 <  test -z "$as_dir" && as_dir=.
5683 <  for ac_exec_ext in '' $ac_executable_extensions; do
5684 <  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
5685 <    ac_cv_prog_MPIF90="$ac_prog"
5686 <    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
5687 <    break 2
5688 <  fi
5689 < done
5690 < done
5691 <
5692 < fi
5693 < fi
5694 < MPIF90=$ac_cv_prog_MPIF90
5695 < if test -n "$MPIF90"; then
5696 <  echo "$as_me:$LINENO: result: $MPIF90" >&5
5697 < echo "${ECHO_T}$MPIF90" >&6
5675 >  ac_check_lib_save_LIBS=$LIBS
5676 > LIBS="-lmpi  $LIBS"
5677 > cat >conftest.$ac_ext <<_ACEOF
5678 > #line $LINENO "configure"
5679 > /* confdefs.h.  */
5680 > _ACEOF
5681 > cat confdefs.h >>conftest.$ac_ext
5682 > cat >>conftest.$ac_ext <<_ACEOF
5683 > /* end confdefs.h.  */
5684 >
5685 > /* Override any gcc2 internal prototype to avoid an error.  */
5686 > #ifdef __cplusplus
5687 > extern "C"
5688 > #endif
5689 > /* We use char because int might match the return type of a gcc2
5690 >   builtin and then its argument prototype would still apply.  */
5691 > char MPI_Init ();
5692 > int
5693 > main ()
5694 > {
5695 > MPI_Init ();
5696 >  ;
5697 >  return 0;
5698 > }
5699 > _ACEOF
5700 > rm -f conftest.$ac_objext conftest$ac_exeext
5701 > if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
5702 >  (eval $ac_link) 2>&5
5703 >  ac_status=$?
5704 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5705 >  (exit $ac_status); } &&
5706 >         { ac_try='test -s conftest$ac_exeext'
5707 >  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5708 >  (eval $ac_try) 2>&5
5709 >  ac_status=$?
5710 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5711 >  (exit $ac_status); }; }; then
5712 >  ac_cv_lib_mpi_MPI_Init=yes
5713   else
5714 <  echo "$as_me:$LINENO: result: no" >&5
5715 < echo "${ECHO_T}no" >&6
5714 >  echo "$as_me: failed program was:" >&5
5715 > sed 's/^/| /' conftest.$ac_ext >&5
5716 >
5717 > ac_cv_lib_mpi_MPI_Init=no
5718   fi
5719 + rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
5720 + LIBS=$ac_check_lib_save_LIBS
5721 + fi
5722 + echo "$as_me:$LINENO: result: $ac_cv_lib_mpi_MPI_Init" >&5
5723 + echo "${ECHO_T}$ac_cv_lib_mpi_MPI_Init" >&6
5724 + if test $ac_cv_lib_mpi_MPI_Init = yes; then
5725 +  MPI_LIB="-lmpi"
5726 + fi
5727  
5728 <  test -n "$MPIF90" && break
5729 < done
5730 < test -n "$MPIF90" || MPIF90="$F90"
5728 > fi
5729 > if test x = x"$MPI_LIB"; then
5730 >   echo "$as_me:$LINENO: checking for MPI_Init in -lmpich" >&5
5731 > echo $ECHO_N "checking for MPI_Init in -lmpich... $ECHO_C" >&6
5732 > if test "${ac_cv_lib_mpich_MPI_Init+set}" = set; then
5733 >  echo $ECHO_N "(cached) $ECHO_C" >&6
5734 > else
5735 >  ac_check_lib_save_LIBS=$LIBS
5736 > LIBS="-lmpich  $LIBS"
5737 > cat >conftest.$ac_ext <<_ACEOF
5738 > #line $LINENO "configure"
5739 > /* confdefs.h.  */
5740 > _ACEOF
5741 > cat confdefs.h >>conftest.$ac_ext
5742 > cat >>conftest.$ac_ext <<_ACEOF
5743 > /* end confdefs.h.  */
5744  
5745 <        acx_mpi_save_F90="$F90"
5746 <        F90="$MPIF90"
5747 <
5748 <
5749 <
5750 < if test x = x"$MPILIBS"; then
5751 <        echo "$as_me:$LINENO: checking for MPI_Init" >&5
5752 < echo $ECHO_N "checking for MPI_Init... $ECHO_C" >&6
5753 <                        cat >conftest.$ac_ext <<_ACEOF
5754 <
5755 < program main
5756 <
5757 <      call MPI_Init
5758 < end program main
5693 <
5745 > /* Override any gcc2 internal prototype to avoid an error.  */
5746 > #ifdef __cplusplus
5747 > extern "C"
5748 > #endif
5749 > /* We use char because int might match the return type of a gcc2
5750 >   builtin and then its argument prototype would still apply.  */
5751 > char MPI_Init ();
5752 > int
5753 > main ()
5754 > {
5755 > MPI_Init ();
5756 >  ;
5757 >  return 0;
5758 > }
5759   _ACEOF
5760   rm -f conftest.$ac_objext conftest$ac_exeext
5761   if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
# Line 5704 | Line 5769 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
5769    ac_status=$?
5770    echo "$as_me:$LINENO: \$? = $ac_status" >&5
5771    (exit $ac_status); }; }; then
5772 <  MPILIBS=" "
5708 <                                echo "$as_me:$LINENO: result: yes" >&5
5709 < echo "${ECHO_T}yes" >&6
5772 >  ac_cv_lib_mpich_MPI_Init=yes
5773   else
5774    echo "$as_me: failed program was:" >&5
5775   sed 's/^/| /' conftest.$ac_ext >&5
5776  
5777 < echo "$as_me:$LINENO: result: no" >&5
5715 < echo "${ECHO_T}no" >&6
5777 > ac_cv_lib_mpich_MPI_Init=no
5778   fi
5779   rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
5780 + LIBS=$ac_check_lib_save_LIBS
5781   fi
5782 < if test x = x"$MPILIBS"; then
5783 <        echo "$as_me:$LINENO: checking for MPI_Init in -lmpi" >&5
5782 > echo "$as_me:$LINENO: result: $ac_cv_lib_mpich_MPI_Init" >&5
5783 > echo "${ECHO_T}$ac_cv_lib_mpich_MPI_Init" >&6
5784 > if test $ac_cv_lib_mpich_MPI_Init = yes; then
5785 >  MPI_LIB="-lmpich"
5786 > fi
5787 >
5788 > fi
5789 > $as_unset ac_cv_lib_mpi_MPI_Init
5790 > if test x = x"$MPI_LIB"; then
5791 >   echo "$as_me:$LINENO: checking for MPI_Init in -lmpi" >&5
5792   echo $ECHO_N "checking for MPI_Init in -lmpi... $ECHO_C" >&6
5793   if test "${ac_cv_lib_mpi_MPI_Init+set}" = set; then
5794    echo $ECHO_N "(cached) $ECHO_C" >&6
5795   else
5796    ac_check_lib_save_LIBS=$LIBS
5797 < LIBS="-lmpi  $LIBS"
5797 > LIBS="-lmpi "-llam" $LIBS"
5798   cat >conftest.$ac_ext <<_ACEOF
5799 + #line $LINENO "configure"
5800 + /* confdefs.h.  */
5801 + _ACEOF
5802 + cat confdefs.h >>conftest.$ac_ext
5803 + cat >>conftest.$ac_ext <<_ACEOF
5804 + /* end confdefs.h.  */
5805  
5806 < program main
5807 <
5808 < call MPI_Init
5809 < end program main
5810 <
5806 > /* Override any gcc2 internal prototype to avoid an error.  */
5807 > #ifdef __cplusplus
5808 > extern "C"
5809 > #endif
5810 > /* We use char because int might match the return type of a gcc2
5811 >   builtin and then its argument prototype would still apply.  */
5812 > char MPI_Init ();
5813 > int
5814 > main ()
5815 > {
5816 > MPI_Init ();
5817 >  ;
5818 >  return 0;
5819 > }
5820   _ACEOF
5821   rm -f conftest.$ac_objext conftest$ac_exeext
5822   if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
# Line 5757 | Line 5843 | if test $ac_cv_lib_mpi_MPI_Init = yes; then
5843   echo "$as_me:$LINENO: result: $ac_cv_lib_mpi_MPI_Init" >&5
5844   echo "${ECHO_T}$ac_cv_lib_mpi_MPI_Init" >&6
5845   if test $ac_cv_lib_mpi_MPI_Init = yes; then
5846 <  MPILIBS="-lmpi"
5846 >  MPI_LIB="-lmpi -llam"
5847   fi
5848  
5849   fi
5850 < if test x = x"$MPILIBS"; then
5851 <        echo "$as_me:$LINENO: checking for MPI_Init in -lmpich" >&5
5852 < echo $ECHO_N "checking for MPI_Init in -lmpich... $ECHO_C" >&6
5853 < if test "${ac_cv_lib_mpich_MPI_Init+set}" = set; then
5850 >
5851 > $as_unset ac_cv_lib_mpi_MPI_Init
5852 > if test x = x"$MPI_LIB"; then
5853 >   echo "$as_me:$LINENO: checking for MPI_Init in -lmpi" >&5
5854 > echo $ECHO_N "checking for MPI_Init in -lmpi... $ECHO_C" >&6
5855 > if test "${ac_cv_lib_mpi_MPI_Init+set}" = set; then
5856    echo $ECHO_N "(cached) $ECHO_C" >&6
5857   else
5858    ac_check_lib_save_LIBS=$LIBS
5859 < LIBS="-lmpich  $LIBS"
5859 > LIBS="-lmpi -llam -lpthread $LIBS"
5860   cat >conftest.$ac_ext <<_ACEOF
5861 + #line $LINENO "configure"
5862 + /* confdefs.h.  */
5863 + _ACEOF
5864 + cat confdefs.h >>conftest.$ac_ext
5865 + cat >>conftest.$ac_ext <<_ACEOF
5866 + /* end confdefs.h.  */
5867  
5868 < program main
5869 <
5870 < call MPI_Init
5871 < end program main
5872 <
5868 > /* Override any gcc2 internal prototype to avoid an error.  */
5869 > #ifdef __cplusplus
5870 > extern "C"
5871 > #endif
5872 > /* We use char because int might match the return type of a gcc2
5873 >   builtin and then its argument prototype would still apply.  */
5874 > char MPI_Init ();
5875 > int
5876 > main ()
5877 > {
5878 > MPI_Init ();
5879 >  ;
5880 >  return 0;
5881 > }
5882   _ACEOF
5883   rm -f conftest.$ac_objext conftest$ac_exeext
5884   if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
# Line 5789 | Line 5892 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
5892    ac_status=$?
5893    echo "$as_me:$LINENO: \$? = $ac_status" >&5
5894    (exit $ac_status); }; }; then
5895 <  ac_cv_lib_mpich_MPI_Init=yes
5895 >  ac_cv_lib_mpi_MPI_Init=yes
5896   else
5897    echo "$as_me: failed program was:" >&5
5898   sed 's/^/| /' conftest.$ac_ext >&5
5899  
5900 < ac_cv_lib_mpich_MPI_Init=no
5900 > ac_cv_lib_mpi_MPI_Init=no
5901   fi
5902   rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
5903   LIBS=$ac_check_lib_save_LIBS
5904   fi
5905 < echo "$as_me:$LINENO: result: $ac_cv_lib_mpich_MPI_Init" >&5
5906 < echo "${ECHO_T}$ac_cv_lib_mpich_MPI_Init" >&6
5907 < if test $ac_cv_lib_mpich_MPI_Init = yes; then
5908 <  MPILIBS="-lmpich"
5905 > echo "$as_me:$LINENO: result: $ac_cv_lib_mpi_MPI_Init" >&5
5906 > echo "${ECHO_T}$ac_cv_lib_mpi_MPI_Init" >&6
5907 > if test $ac_cv_lib_mpi_MPI_Init = yes; then
5908 >  MPI_LIB="-lmpi -llam -lpthread"
5909 > else
5910 >  { { echo "$as_me:$LINENO: error: Didn't find liblam, libmpi, or libmpich; check path for MPI package first..." >&5
5911 > echo "$as_me: error: Didn't find liblam, libmpi, or libmpich; check path for MPI package first..." >&2;}
5912 >   { (exit 1); exit 1; }; }
5913   fi
5914  
5915   fi
5916  
5917 + echo "$as_me:$LINENO: result: found $MPI_LIB" >&5
5918 + echo "${ECHO_T}found $MPI_LIB" >&6
5919  
5920  
5921 < F90="$acx_mpi_save_F90"
5922 <
5923 <
5924 <
5925 < # Finally, execute ACTION-IF-FOUND/ACTION-IF-NOT-FOUND:
5926 < if test x = x"$MPILIBS"; then
5927 <
5819 <        :
5921 > echo "$as_me:$LINENO: checking for MPI Fortran library" >&5
5922 > echo $ECHO_N "checking for MPI Fortran library... $ECHO_C" >&6
5923 > MPI_F90LIB=""
5924 > if test -f "$MPI_LIBDIR/libfmpich.a" ; then
5925 >  MPI_F90LIB="-lfmpich"
5926 > elif test -f "$MPI_LIBDIR/liblamf77mpi.a" ; then
5927 >  MPI_F90LIB="-llamf77mpi"
5928   else
5929 +  # nothing special found, we'll assume that the C library is all we need
5930 +  MPI_F90LIB="  "
5931 + fi
5932 + echo "$as_me:$LINENO: result: found $MPI_F90LIB" >&5
5933 + echo "${ECHO_T}found $MPI_F90LIB" >&6
5934  
5822 cat >>confdefs.h <<\_ACEOF
5823 #define HAVE_MPI 1
5824 _ACEOF
5935  
5826        :
5827 fi
5936  
5937  
5938   ac_ext=c
# Line 6573 | Line 6681 | fi
6681  
6682    CPPFLAGS=$ac_save_CPPFLAGS
6683    LDFLAGS=$ac_save_LDFLAGS
6684 <  ac_ext=f90
6685 < ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
6686 < ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6687 < ac_compiler_gnu=$ac_cv_f90_compiler_gnu
6684 >  ac_ext=c
6685 > ac_cpp='$CPP $CPPFLAGS'
6686 > ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
6687 > ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6688 > ac_compiler_gnu=$ac_cv_c_compiler_gnu
6689  
6690  
6691    if test x_$HAVE_SPRNG != x_yes; then
# Line 6597 | Line 6706 | echo "${ECHO_T}yes" >&6
6706    withval="$with_mkl"
6707       echo "$as_me:$LINENO: result: yes" >&5
6708   echo "${ECHO_T}yes" >&6
6709 <    for dir in $withval /usr/local/intel/mkl60 /opt/intel/mkl60; do
6709 >    for dir in $withval /usr/local/intel/mkl61 /opt/intel/mkl61; do
6710          mkldir="$dir"
6711          if test -f "$dir/include/mkl.h"; then
6712              found_mkl="yes";
# Line 6823 | Line 6932 | fi
6932  
6933    CPPFLAGS=$ac_save_CPPFLAGS
6934    LDFLAGS=$ac_save_LDFLAGS
6935 <  ac_ext=f90
6936 < ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
6937 < ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6938 < ac_compiler_gnu=$ac_cv_f90_compiler_gnu
6935 >  ac_ext=c
6936 > ac_cpp='$CPP $CPPFLAGS'
6937 > ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
6938 > ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6939 > ac_compiler_gnu=$ac_cv_c_compiler_gnu
6940  
6941  
6942    if test x_$HAVE_MKL != x_yes; then
# Line 6850 | Line 6960 | fi;
6960  
6961  
6962  
6853 # Check whether --with-mpi_f90_mods or --without-mpi_f90_mods was given.
6854 if test "${with_mpi_f90_mods+set}" = set; then
6855  withval="$with_mpi_f90_mods"
6856  mpi_f90_mods="$withval"
6857 else
6858  mpi_f90_mods="/usr/local/include/f90choice"
6859 fi;
6860
6861  echo "$as_me:$LINENO: checking for MPI F90 modules" >&5
6862 echo $ECHO_N "checking for MPI F90 modules... $ECHO_C" >&6
6863
6864
6865  ac_ext=f90
6866 ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
6867 ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6868 ac_compiler_gnu=$ac_cv_f90_compiler_gnu
6869
6870  ac_save_F90FLAGS=$F90FLAGS
6871
6872  if test "$mpi_f90_mods"; then
6873  F90FLAGS="${F90FLAGS} ${MODDIRFLAG}${mpi_f90_mods}"
6874 fi
6875
6876    cat >conftest.$ac_ext <<_ACEOF
6877
6878
6879 program main
6880
6881 use mpi
6882 integer :: ierr
6883 call MPI_Init(ierr)
6884
6885
6886 end program main
6887
6888 _ACEOF
6889 rm -f conftest.$ac_objext
6890 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6891  (eval $ac_compile) 2>&5
6892  ac_status=$?
6893  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6894  (exit $ac_status); } &&
6895         { ac_try='test -s conftest.$ac_objext'
6896  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6897  (eval $ac_try) 2>&5
6898  ac_status=$?
6899  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6900  (exit $ac_status); }; }; then
6901  HAVE_MPI_MOD=1
6902 else
6903  echo "$as_me: failed program was:" >&5
6904 sed 's/^/| /' conftest.$ac_ext >&5
6905
6906 HAVE_MPI_MOD=0
6907 fi
6908 rm -f conftest.$ac_objext conftest.$ac_ext
6909
6910  F90FLAGS=$ac_save_F90FLAGS
6911  ac_ext=f90
6912 ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
6913 ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6914 ac_compiler_gnu=$ac_cv_f90_compiler_gnu
6915
6916
6917  if test "$HAVE_MPI_MOD" = 1; then
6918    echo "$as_me:$LINENO: result: yes" >&5
6919 echo "${ECHO_T}yes" >&6
6920
6921 cat >>confdefs.h <<\_ACEOF
6922 #define MPI_MOD 1
6923 _ACEOF
6924
6925    MPI_F90_MODS="${mpi_f90_mods}"
6926
6927    # The library name:
6928    if test -z "$MPI_LIB" ; then
6929       MPI_LIBNAME=-lmpich
6930    else
6931       MPI_LIBNAME="$MPI_LIB"
6932    fi
6933    if test -z "$MPIMODLIBNAME" ; then
6934       MPIMODLIBNAME="${MPI_LIBNAME}f90"
6935    fi
6936
6937  else
6938    echo "$as_me:$LINENO: result: no" >&5
6939 echo "${ECHO_T}no" >&6
6940    { { echo "$as_me:$LINENO: error: Couldn't locate MPI F90 Modules" >&5
6941 echo "$as_me: error: Couldn't locate MPI F90 Modules" >&2;}
6942   { (exit 1); exit 1; }; }
6943  fi
6944
6945
6946
6947
6948
6963   OBJEXT=".$OBJEXT"
6964  
6965   OOPSE=oopse
# Line 6969 | Line 6983 | SUBDIRS="libBASS libmdtools src forceFields samples ut
6983  
6984   MKINSTALLDIRS=`pwd`/ac-tools/"shtool mkdir -p -f"
6985  
6986 < SUBDIRS="libBASS libmdtools src forceFields samples utils utils/sysbuilder staticProps"
6986 > SUBDIRS="libBASS libmdtools src forceFields samples utils utils/sysbuilder staticProps third-party shapes"
6987  
6988   CFLAGS=${CFLAGS-""}
6989   CXXFLAGS=${CXXFLAGS-""}
# Line 7006 | Line 7020 | esac
7020  
7021            ac_config_headers="$ac_config_headers libmdtools/config.h"
7022  
7023 <                                                                                                                                                      ac_config_files="$ac_config_files Makefile libBASS/Makefile libmdtools/Makefile src/Makefile utils/Makefile utils/sysbuilder/Makefile forceFields/Makefile samples/Makefile staticProps/Makefile samples/alkane/Makefile samples/argon/Makefile samples/beadLipid/Makefile samples/lipid/Makefile samples/metals/Makefile samples/water/Makefile"
7023 >                                                                                                                                                                          ac_config_files="$ac_config_files Makefile libBASS/Makefile libmdtools/Makefile src/Makefile utils/Makefile utils/sysbuilder/Makefile forceFields/Makefile samples/Makefile staticProps/Makefile third-party/Makefile samples/alkane/Makefile samples/argon/Makefile samples/beadLipid/Makefile samples/lipid/Makefile samples/metals/Makefile samples/water/Makefile shapes/Makefile"
7024  
7025  
7026   cat >confcache <<\_ACEOF
# Line 7542 | Line 7556 | do
7556    "forceFields/Makefile" ) CONFIG_FILES="$CONFIG_FILES forceFields/Makefile" ;;
7557    "samples/Makefile" ) CONFIG_FILES="$CONFIG_FILES samples/Makefile" ;;
7558    "staticProps/Makefile" ) CONFIG_FILES="$CONFIG_FILES staticProps/Makefile" ;;
7559 +  "third-party/Makefile" ) CONFIG_FILES="$CONFIG_FILES third-party/Makefile" ;;
7560    "samples/alkane/Makefile" ) CONFIG_FILES="$CONFIG_FILES samples/alkane/Makefile" ;;
7561    "samples/argon/Makefile" ) CONFIG_FILES="$CONFIG_FILES samples/argon/Makefile" ;;
7562    "samples/beadLipid/Makefile" ) CONFIG_FILES="$CONFIG_FILES samples/beadLipid/Makefile" ;;
7563    "samples/lipid/Makefile" ) CONFIG_FILES="$CONFIG_FILES samples/lipid/Makefile" ;;
7564    "samples/metals/Makefile" ) CONFIG_FILES="$CONFIG_FILES samples/metals/Makefile" ;;
7565    "samples/water/Makefile" ) CONFIG_FILES="$CONFIG_FILES samples/water/Makefile" ;;
7566 +  "shapes/Makefile" ) CONFIG_FILES="$CONFIG_FILES shapes/Makefile" ;;
7567    "libmdtools/config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS libmdtools/config.h" ;;
7568    *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
7569   echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
# Line 7679 | Line 7695 | s,@mpi_dir@,$mpi_dir,;t t
7695   s,@LEXLIB@,$LEXLIB,;t t
7696   s,@LEX_OUTPUT_ROOT@,$LEX_OUTPUT_ROOT,;t t
7697   s,@AR@,$AR,;t t
7698 < s,@mpi_dir@,$mpi_dir,;t t
7698 > s,@mpi@,$mpi,;t t
7699   s,@MPI_LIBDIR@,$MPI_LIBDIR,;t t
7700   s,@MPI_INC@,$MPI_INC,;t t
7701 + s,@MPI_F90INC@,$MPI_F90INC,;t t
7702   s,@MPI_LIB@,$MPI_LIB,;t t
7703 < s,@MPIF77@,$MPIF77,;t t
7687 < s,@MPIF90@,$MPIF90,;t t
7688 < s,@MPILIBS@,$MPILIBS,;t t
7703 > s,@MPI_F90LIB@,$MPI_F90LIB,;t t
7704   s,@CPP@,$CPP,;t t
7705   s,@EGREP@,$EGREP,;t t
7706   s,@SPRNG_LIBDIR@,$SPRNG_LIBDIR,;t t
# Line 7696 | Line 7711 | s,@MPI_F90_MODS@,$MPI_F90_MODS,;t t
7711   s,@MKL_LIB@,$MKL_LIB,;t t
7712   s,@MKL_INC@,$MKL_INC,;t t
7713   s,@HAVE_MKL@,$HAVE_MKL,;t t
7699 s,@MPI_F90_MODS@,$MPI_F90_MODS,;t t
7700 s,@MPIMODLIBNAME@,$MPIMODLIBNAME,;t t
7714   s,@BATEXT@,$BATEXT,;t t
7715   s,@MKINSTALLDIRS@,$MKINSTALLDIRS,;t t
7716   s,@OOPSE@,$OOPSE,;t t

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines